Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 986984 - xfreerdp ignores some of options
Summary: xfreerdp ignores some of options
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: freerdp
Version: 6.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Søren Sandmann Pedersen
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-22 14:35 UTC by Tomas Pelka
Modified: 2014-06-18 09:16 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-29 12:22:30 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Tomas Pelka 2013-07-22 14:35:42 UTC
Description of problem:
So far I get several of cmd line options which are ignored by xfreerdp:

-m, -p, -u, -g, -K and many more.

I don't know if this is connected to new options syntax like described at  https://github.com/awakecoding/FreeRDP-Manuals/blob/master/User/FreeRDP-User-Manual.markdown

Btw the new syntax is not working anyways.

Version-Release number of selected component (if applicable):
freerdp-plugins-1.0.1-8.el6.x86_64
freerdp-1.0.1-8.el6.x86_64
freerdp-libs-1.0.1-8.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1. try to connect to RDP service with any of listed options
2.
3.

Actual results:
options do not work, but the connection is actually working, seems they are ignored

Expected results:
options should not be ignored or at least error should appear

Additional info:
options parsing is quite strange, you can pass any (nonsence) option without error


Note You need to log in before you can comment on or make changes to this bug.